# TODO: (some) plugins in separate packages?
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	drm		# Ecore DRM support
%bcond_without	fb		# Ecore FB support
%bcond_without	sdl		# Ecore SDL support
%bcond_without	wayland		# Ecore Wayland support
%bcond_without	elocation	# Elocation support
%bcond_with	emap		# Emap support [not available yet in PLD]
%bcond_without	eweather	# Eweather support
%bcond_without	ewebkit		# Web (WebKit) support
#

%define		efl_ver		1.10.3

Summary:	Basic widget set
Summary(pl.UTF-8):	Zestaw prostych widżetów
Name:		elementary
Version:	1.10.3
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://download.enlightenment.org/rel/libs/elementary/%{name}-%{version}.tar.bz2
# Source0-md5:	b478a3167ec95a7129ac2d69ee608320
URL:		http://trac.enlightenment.org/e/wiki/Elementary
BuildRequires:	ecore-con-devel >= %{efl_ver}
BuildRequires:	ecore-devel >= %{efl_ver}
%{?with_drm:BuildRequires:	ecore-drm-devel >= %{efl_ver}}
BuildRequires:	ecore-evas-devel >= %{efl_ver}
%{?with_fb:BuildRequires:	ecore-fb-devel >= %{efl_ver}}
BuildRequires:	ecore-file-devel >= %{efl_ver}
BuildRequires:	ecore-imf-devel >= %{efl_ver}
BuildRequires:	ecore-input-devel >= %{efl_ver}
%{?with_sdl:BuildRequires:	ecore-sdl-devel >= %{efl_ver}}
%{?with_wayland:BuildRequires:	ecore-wayland-devel >= %{efl_ver}}
BuildRequires:	ecore-x-devel >= %{efl_ver}
BuildRequires:	edje >= %{efl_ver}
BuildRequires:	edje-devel >= %{efl_ver}
BuildRequires:	eet-devel >= %{efl_ver}
BuildRequires:	efreet-devel >= %{efl_ver}
BuildRequires:	eina-devel >= %{efl_ver}
BuildRequires:	eio-devel >= %{efl_ver}
BuildRequires:	eldbus-devel >= %{efl_ver}
%{?with_elocation:BuildRequires:	elocation-devel >= 0.1.0}
%{?with_emap:BuildRequires:	emap-devel}
BuildRequires:	emotion-devel >= %{efl_ver}
BuildRequires:	eo-devel >= %{efl_ver}
BuildRequires:	eolian-devel >= %{efl_ver}
BuildRequires:	ethumb-devel >= %{efl_ver}
BuildRequires:	evas-devel >= %{efl_ver}
BuildRequires:	evas-loader-jpeg >= %{efl_ver}
%{?with_webkit:BuildRequires:	ewebkit-devel >= 0-0.r127150.1}
BuildRequires:	gettext-devel >= 0.17
%{?with_eweather:BuildRequires:	libeweather-devel}
BuildRequires:	pkgconfig >= 1:0.22
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		efl_arch_tag	v-1.10
%define		elm_arch_tag	v-%{version}

%description
Elementary - a basic widget set that is easy to use based on EFL for
mobile touch-screen devices.

%description -l pl.UTF-8
Elementary - zestaw prostych, łatwych w użyciu widżetów, oparty na EFL
dla urządzeń mobilnych.

%package libs
Summary:	Elementary library
Summary(pl.UTF-8):	Bilblioteka Elementary
Group:		Libraries
Requires:	ecore-con >= %{efl_ver}
Requires:	ecore >= %{efl_ver}
%{?with_drm:Requires:	ecore-drm >= %{efl_ver}}
Requires:	ecore-evas >= %{efl_ver}
%{?with_fb:Requires:	ecore-fb >= %{efl_ver}}
Requires:	ecore-file >= %{efl_ver}
Requires:	ecore-imf >= %{efl_ver}
Requires:	ecore-input >= %{efl_ver}
%{?with_sdl:Requires:	ecore-sdl >= %{efl_ver}}
%{?with_wayland:Requires:	ecore-wayland >= %{efl_ver}}
Requires:	ecore-x >= %{efl_ver}
Requires:	edje-libs >= %{efl_ver}
Requires:	eet >= %{efl_ver}
Requires:	efreet-libs >= %{efl_ver}
Requires:	eina >= %{efl_ver}
Requires:	eio >= %{efl_ver}
Requires:	eldbus >= %{efl_ver}
%{?with_elocation:Requires:	elocation >= 0.1.0}
Requires:	emotion >= %{efl_ver}
Requires:	eo >= %{efl_ver}
Requires:	ethumb-libs >= %{efl_ver}
Requires:	evas >= %{efl_ver}
%{?with_webkit:Requires:	ewebkit >= 0-0.r127150.1}

%description libs
Elementary library files.

%description libs -l pl.UTF-8
Biblioteka Elementary.

%package devel
Summary:	Elementary header files
Summary(pl.UTF-8):	Pliki nagłówkowe Elementary
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ecore-con-devel >= %{efl_ver}
Requires:	ecore-devel >= %{efl_ver}
%{?with_drm:Requires:	ecore-drm-devel >= %{efl_ver}}
Requires:	ecore-evas-devel >= %{efl_ver}
%{?with_fb:Requires:	ecore-fb-devel >= %{efl_ver}}
Requires:	ecore-file-devel >= %{efl_ver}
Requires:	ecore-imf-devel >= %{efl_ver}
Requires:	ecore-input-devel >= %{efl_ver}
%{?with_sdl:Requires:	ecore-sdl-devel >= %{efl_ver}}
%{?with_wayland:Requires:	ecore-wayland-devel >= %{efl_ver}}
Requires:	ecore-x-devel >= %{efl_ver}
Requires:	edje-devel >= %{efl_ver}
Requires:	eet-devel >= %{efl_ver}
Requires:	efreet-devel >= %{efl_ver}
Requires:	eina-devel >= %{efl_ver}
Requires:	eio-devel >= %{efl_ver}
Requires:	eldbus-devel >= %{efl_ver}
%{?with_elocation:Requires:	elocation-devel >= 0.1.0}
%{?with_emap:Requires:	emap-devel}
Requires:	emotion-devel >= %{efl_ver}
Requires:	eo-devel >= %{efl_ver}
Requires:	ethumb-devel >= %{efl_ver}
Requires:	evas-devel >= %{efl_ver}
Requires:	evas-loader-jpeg >= %{efl_ver}
%{?with_webkit:Requires:	ewebkit-devel >= 0-0.r127150.1}
%{?with_eweather:Requires:	libeweather-devel}

%description devel
Header files for Elementary.

%description devel -l pl.UTF-8
Pliki nagłówkowe Elementary.

%package static
Summary:	Static Elementary library
Summary(pl.UTF-8):	Statyczna biblioteka Elementary
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Elementary library.

%description static -l pl.UTF-8
Statyczna biblioteka Elementary.

%package -n eolian-elementary
Summary:	Eolian API for Elementary library
Summary(pl.UTF-8):	API Eolian dla biblioteki Elementary
Group:		Development/Libraries
Requires:	eolian >= %{efl_ver}

%description -n eolian-elementary
Eolian API for Elementary library.

%description -n eolian-elementary -l pl.UTF-8
API Eolian dla biblioteki Elementary.

%prep
%setup -q

%build
%configure \
	--disable-ecore-cocoa \
	%{!?with_drm:--disable-ecore-drm} \
	%{!?with_fb:--disable-ecore-fb} \
	--disable-ecore-psl1ght \
	%{!?with_sdl:--disable-ecore-sdl} \
	%{!?with_wayland:--disable-ecore-wayland} \
	--disable-ecore-win32 \
	--disable-ecore-wince \
	%{!?with_elocation:--disable-elocation} \
	%{!?with_emap:--disable-emap} \
	%{!?with_eweather:--disable-eweather} \
	--disable-silent-rules \
	%{!?with_ewebkit:--disable-web} \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# icon is non-themed, so install in %{_pixmapsdir}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	icondir=%{_pixmapsdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/edje/modules/elm/%{efl_arch_tag}/*.la \
	$RPM_BUILD_ROOT%{_libdir}/elementary/modules/*/%{elm_arch_tag}/*.la

mv $RPM_BUILD_ROOT%{_localedir}/ko{_KR,}
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libelementary.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/elementary_config
%attr(755,root,root) %{_bindir}/elementary_quicklaunch
%attr(755,root,root) %{_bindir}/elementary_run
%attr(755,root,root) %{_bindir}/elementary_test
%attr(755,root,root) %{_bindir}/elm_prefs_cc
%{_desktopdir}/elementary_config.desktop
%{_desktopdir}/elementary_test.desktop
%{_datadir}/elementary
%{_pixmapsdir}/elementary.png

%files libs -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libelementary.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libelementary.so.1
%dir %{_libdir}/edje/modules/elm
%dir %{_libdir}/edje/modules/elm/%{efl_arch_tag}
%attr(755,root,root) %{_libdir}/edje/modules/elm/%{efl_arch_tag}/module.so
%dir %{_libdir}/elementary
%dir %{_libdir}/elementary/modules
%dir %{_libdir}/elementary/modules/access_output
%dir %{_libdir}/elementary/modules/access_output/%{elm_arch_tag}
%attr(755,root,root) %{_libdir}/elementary/modules/access_output/%{elm_arch_tag}/module.so
%dir %{_libdir}/elementary/modules/datetime_input_ctxpopup
%dir %{_libdir}/elementary/modules/datetime_input_ctxpopup/%{elm_arch_tag}
%attr(755,root,root) %{_libdir}/elementary/modules/datetime_input_ctxpopup/%{elm_arch_tag}/module.so
%dir %{_libdir}/elementary/modules/prefs
%dir %{_libdir}/elementary/modules/prefs/%{elm_arch_tag}
%attr(755,root,root) %{_libdir}/elementary/modules/prefs/%{elm_arch_tag}/module.so
%{_libdir}/elementary/modules/prefs/%{elm_arch_tag}/elm_prefs_swallow.edj
%dir %{_libdir}/elementary/modules/test_entry
%dir %{_libdir}/elementary/modules/test_entry/%{elm_arch_tag}
%attr(755,root,root) %{_libdir}/elementary/modules/test_entry/%{elm_arch_tag}/module.so
%dir %{_libdir}/elementary/modules/test_map
%dir %{_libdir}/elementary/modules/test_map/%{elm_arch_tag}
%attr(755,root,root) %{_libdir}/elementary/modules/test_map/%{elm_arch_tag}/module.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/elementary_codegen
%attr(755,root,root) %{_libdir}/libelementary.so
%{_includedir}/elementary-1
%{_pkgconfigdir}/elementary.pc
%{_libdir}/cmake/Elementary

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libelementary.a
%endif

%files -n eolian-elementary
%defattr(644,root,root,755)
%{_datadir}/eolian/include/elementary-1
%changelog
* Sat Oct 17 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/elementary.git;a=log;h=master

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 1731785
- updated efl version

* Fri Oct 16 2015 Jakub Bogusz <qboosh@pld-linux.org> b9cbfa7
- fix undefined evas_ver

* Fri Oct 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 0e15419
- enable wayland by default

* Fri Oct 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 33a2a38
- updated to 1.10.3

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 84d5913
- release 2 (by relup.sh)

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 727b07e
- updated to 1.10.2

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 7b1f78e
- updated to 1.10.1

* Mon Jun 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 9b96211
- updated to 1.10.0 (1.9.x left on EFL-1.9 branch)

* Sat Jun 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 80b426e
- updated to 1.9.5

* Tue Apr 22 2014 Jakub Bogusz <qboosh@pld-linux.org> f257096
- updated to 1.9.3

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 28d3106
- updated EFL version

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 22c7bbf
- updated to 1.9.2

* Sat Mar 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 3988b7b
- updated to 1.9.1 (1.8.x left on EFL-1.8 branch)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> d382e9d
- rebuild with DirectFB 1.7.2
- release 2 (by relup.sh)

* Mon Feb 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 7142a31
- updated to 1.8.4

* Tue Jan 14 2014 Jakub Bogusz <qboosh@pld-linux.org> a7f6d2e
- updated to 1.8.3

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ca8ae8
- release 2 (by relup.sh)

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> a222c36
- updated to 1.8.2

* Wed Dec 18 2013 Jakub Bogusz <qboosh@pld-linux.org> bdcde95
- updated to 1.8.1
- elocation,eweather,ewebkit are available now

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> e8303b8
- updated to 1.8.0

